Bug 1588281 - Failed at task "Check to see if the vsphere cluster role already exists"
Summary: Failed at task "Check to see if the vsphere cluster role already exists"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.10.0
Assignee: davis phillips
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On:
Blocks: 1548163 1572873
TreeView+ depends on / blocked
 
Reported: 2018-06-07 03:05 UTC by Gan Huang
Modified: 2018-07-23 13:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-06-27 20:28:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gan Huang 2018-06-07 03:05:05 UTC
Description of problem:
While enabling vsphere cloudprovider, task failed at:

TASK [openshift_cloud_provider : Check to see if the vsphere cluster role already exists] ***
Wednesday 06 June 2018  22:54:28 -0400 (0:00:00.071)       0:07:51.431 ******** 

fatal: [qe-ghuang-node-registry-router-1.0606-zoy.qe.rhcloud.com]: FAILED! => {"changed": false, "cmd": "oc get clusterrole", "failed": true, "msg": "[Errno 2] No such file or directory", "rc": 2}
fatal: [openshift-132.lab.eng.nay.redhat.com]: FAILED! => {"changed": false, "cmd": "oc get clusterrole", "failed": true, "msg": "[Errno 2] No such file or directory", "rc": 2}

Version-Release number of the following components:
openshift-ansible-3.10.0-0.63.0.git.0.961c60d.el7.noarch.rpm

How reproducible:
always

Steps to Reproduce:
1. Trigger installation against vsphere with cloudprovider enabled


Actual results:
see above

Expected results:

Additional info:
Two issues:

1. No any openshift packages installed at that moment, hence no oc client installed.

2. The task should be executed against first master, instead of the nodes.

Comment 1 Russell Teague 2018-06-07 12:32:01 UTC
New tasks have been added which use the 'oc' binary before the client package has been installed.

Comment 3 davis phillips 2018-06-07 14:39:54 UTC
Proposed PR: https://github.com/openshift/openshift-ansible/pull/8672

Comment 4 davis phillips 2018-06-07 15:03:24 UTC
Updated PR: https://github.com/openshift/openshift-ansible/pull/8673

Comment 5 Gan Huang 2018-06-08 08:10:08 UTC
It's blocking installation with vsphere cloudprovider enabled.

Comment 9 Gan Huang 2018-06-12 10:50:39 UTC
Fixed in openshift-ansible-3.10.0-0.66.0.git.79.68197f9.el7.noarch.rpm


Note You need to log in before you can comment on or make changes to this bug.